# WOK
TKWOK
WOKMake

# WOKMake_StepBuilder Class Reference

`#include <WOKMake_StepBuilder.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKMake_StepBuilder ()
Standard_EXPORT | WOKMake_StepBuilder (const Handle(TCollection_HAsciiString)&aname, const WOKMake_StepConstructPtr &aptr)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT WOKMake_StepConstructPtr | Builder () const
Standard_EXPORT void | Add () const

## Static Public Member Functions

static Standard_EXPORT WOKMake_DataMapOfHAsciiStringOfStepBuilder & | StepBuilders ()
static Standard_EXPORT Handle_WOKMake_Step | BuildStep (const Handle(WOKMake_BuildProcess)&aprocess, const Handle(TCollection_HAsciiString)&thename, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
static Standard_EXPORT Handle_WOKMake_Step | BuildStep (const Handle(WOKMake_BuildProcess)&aprocess, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Handle(TCollection_HAsciiString)&asubcode)

## Private Attributes

Handle_TCollection_HAsciiString | myname
WOKMake_StepConstructPtr | myptr

## Constructor & Destructor Documentation

Standard_EXPORT WOKMake_StepBuilder::WOKMake_StepBuilder | ( |  | ) |

Standard_EXPORT WOKMake_StepBuilder::WOKMake_StepBuilder | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKMake_StepConstructPtr & | aptr
| ) |

## Member Function Documentation

Standard_EXPORT void WOKMake_StepBuilder::Add | ( |  | ) | const

Standard_EXPORT WOKMake_StepConstructPtr WOKMake_StepBuilder::Builder | ( |  | ) | const

static Standard_EXPORT Handle_WOKMake_Step WOKMake_StepBuilder::BuildStep | ( | const Handle(WOKMake_BuildProcess)& | aprocess,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Handle(TCollection_HAsciiString)& | asubcode
| ) | `[static]`

static Standard_EXPORT Handle_WOKMake_Step WOKMake_StepBuilder::BuildStep | ( | const Handle(WOKMake_BuildProcess)& | aprocess,
|  | const Handle(TCollection_HAsciiString)& | thename,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) | `[static]`

Standard_EXPORT Handle_TCollection_HAsciiString WOKMake_StepBuilder::Name | ( |  | ) | const

void WOKMake_StepBuilder::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKMake_StepBuilder::operator new | ( | size_t | size | ) | `[inline]`

void* WOKMake_StepBuilder::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT WOKMake_DataMapOfHAsciiStringOfStepBuilder& WOKMake_StepBuilder::StepBuilders | ( |  | ) | `[static]`

## Field Documentation

Handle_TCollection_HAsciiString WOKMake_StepBuilder::myname `[private]`

WOKMake_StepConstructPtr WOKMake_StepBuilder::myptr `[private]`

The documentation for this class was generated from the following file:

- WOKMake_StepBuilder.hxx